import { world, system } from '@minecraft/server';
import { ActionFormData } from '@minecraft/server-ui';

world.beforeEvents.itemUse.subscribe((data) => {
    let item = data.itemStack.typeId;
    let player = data.source;
    if (item === 'bridge:monitor') { //Item
        data.cancel = true
        system.run(() => {
            player.runCommand(`scoreboard players operation cam cam = memory cam`)
            CAMS(player);
        })
    }

    function HELLO(player) {
        const formU = new ActionFormData()
        formU.title("N")
        formU.button("N")
        formU.show(player)
    }

    function CAMS(player) {
        const form = new ActionFormData()
        form.title("CAMS")
        form.button("CAM 1A")
        form.button("CAM 1B")
        form.button("CAM 5")
        form.button("CAM 7")
        form.button("CAM 1C")
        form.button("CAM 3")
        form.button("CAM 6")
        form.button("CAM 2A")
        form.button("CAM 2B")
        form.button("CAM 4A")
        form.button("CAM 4B")
        form.button("Leave", "textures/Close")
        form.show(player).then(result => {
            if (result.selection === 0) {
                player.runCommand(`scoreboard players set cam cam 1`)
                CAMS(player)
            }
            if (result.selection === 1) {
                player.runCommand(`scoreboard players set cam cam 2`)
                CAMS(player)
            }
            if (result.selection === 2) {
                player.runCommand(`scoreboard players set cam cam 3`)
                CAMS(player)
            }
            if (result.selection === 3) {
                player.runCommand(`scoreboard players set cam cam 4`)
                CAMS(player)
            }
            if (result.selection === 4) {
                player.runCommand(`scoreboard players set cam cam 5`)
                CAMS(player)
            }
            if (result.selection === 5) {
                player.runCommand(`scoreboard players set cam cam 6`)
                CAMS(player)
            }
            if (result.selection === 6) {
                player.runCommand(`scoreboard players set cam cam 7`)
                CAMS(player)
            }
            if (result.selection === 7) {
                player.runCommand(`scoreboard players set cam cam 8`)
                CAMS(player)
            }
            if (result.selection === 8) {
                player.runCommand(`scoreboard players set cam cam 9`)
                CAMS(player)
            }
            if (result.selection === 9) {
                player.runCommand(`scoreboard players set cam cam 10`)
                CAMS(player)
            }
            if (result.selection === 10) {
                player.runCommand(`scoreboard players set cam cam 11`)
                CAMS(player)
            }
            if (result.selection === 11) {
                player.runCommand(`scoreboard players set cam cam 0`)
            }
        })
    }
})